namespace OptixServe.Api.Configuration;

public record ApiConfiguration
{
    public ApiSettings? Api { get; set; } = new();
    public JwtSettings? Jwt { get; set; } = new();
}

public record ApiSettings
{
    public string? Listen { get; set; }
    public int? Port { get; set; }
}

public record JwtSettings
{
    public string Secret { get; set; } = string.Empty;
    public string Issuer { get; set; } = "OptixServe";
    public string Audience { get; set; } = "OptixServeUsers";
    public int TokenExpirationMinutes { get; set; } = 60;
}
