using Microsoft.Extensions.Configuration;

namespace OptixServe.Infrastructure.Configuration;

public static class ConfigurationHelper
{
    public static IConfigurationBuilder CreateDefaultBuilder(string basePath)
    {
        var aspEnv = Environment.GetEnvironmentVariable("ASPNETCORE_ENVIRONMENT");
        var netEnv = Environment.GetEnvironmentVariable("DOTNET_ENVIRONMENT");
        var env = aspEnv ?? netEnv ?? null;

        var builder = new ConfigurationBuilder()
            // .SetBasePath(Directory.GetCurrentDirectory())
            .SetBasePath(basePath)
            .AddJsonFile("appsettings.json", optional: true)
            .AddJsonFile("config.json", optional: true);
        
        if (env != null)
        {
            builder.AddJsonFile($"appsettings.{env}.json", optional: true)
                .AddJsonFile($"config.{env}.json", optional: true);
        }

        return builder;
    }

    public static IConfigurationBuilder CreateDefaultBuilder()
    {
        return CreateDefaultBuilder(Directory.GetCurrentDirectory());
    }
}
